Bug Hunting Session
Bug 125883 - UI: Selection inside a edit box disappears
Summary: UI: Selection inside a edit box disappears
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.3 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.2.6 target:6.3.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-06-12 12:45 UTC by Telesto
Modified: 2019-06-25 15:31 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screencast (238.46 KB, video/mp4)
2019-06-12 12:46 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-06-12 12:45:35 UTC
Description:
UI: Selection inside a edit box disappears

Steps to Reproduce:
1. Open Writer
2. Format -> Page -> Page
3. Select the 2.00 cm for the left Margin (by selecting from right to left)
4. Select the 2.00 cm for the right margin (by selecting from right to left) (fails the first time)

Actual Results:
Selection disappears

Expected Results:
Shouldn't 


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: ac14e5613597e7361ce6995dacb1bb5bd55b6b00
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-06_05:09:49
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2019-06-12 12:46:11 UTC
Created attachment 152135 [details]
Screencast
Comment 2 BogdanB 2019-06-13 12:40:41 UTC
Confirmed on

Version: 6.4.0.0.alpha0+ (x64)
Build ID: d5bdb4a84e741bb60f1cc9557b7a2eb590ba8a44
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-10_23:15:34
Locale: ro-RO (ro_RO); UI-Language: en-US
Calc: threaded
Comment 3 Aron Budea 2019-06-15 23:22:33 UTC
Bibisected to the 6.1 backport of the commit referenced below using repo bibisect-win32-6.1. Adding Cc: to Caolán McNamara, please take a look.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=7958091b06954a7b253fdebb9ea0313db9217959
author		Caolán McNamara <caolanm@redhat.com>	2018-06-15 14:03:31 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-06-17 17:12:32 +0200

weld SvxPageDescPage
Comment 4 Caolán McNamara 2019-06-17 10:52:59 UTC
I think the change of focus from one widget to the other triggers "value changed", the widgets are filled with new text (which is the same as the old text) and changing the text changes the cursor to the start from the end, so the selection is lost.

Seems the simplest thing is to see if the new text is the same as the old text and leave it alone if it is
Comment 5 Commit Notification 2019-06-17 13:05:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7c9b2d971a211fb721f8d529c50ca4f953517b9c%5E%21

Resolves: tdf#125883 if old and new text will be the same don't change it

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-06-17 13:06:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/53a2aeccd6b339bc5b7d7b403723fa48ecc5dd58%5E%21

Resolves: tdf#125883 if old and new text will be the same don't change it

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-06-17 13:06:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/8ca0071f3ca9ed03c904694029f5e61a87e053ab%5E%21

Resolves: tdf#125883 if old and new text will be the same don't change it

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-06-25 15:31:05 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 52800731baf9fcb88e54d60de5585640c8f97f7b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!